#
# spec file for package gnome-dictionary
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-dictionary
Version:        3.20.0
Release:        1.7
Summary:        Utility to look up words in dictionary sources
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            http://www.gnome.org
Source:         http://download.gnome.org/sources/gnome-dictionary/3.20/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  intltool >= 0.40.0
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(glib-2.0) >= 2.39.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.16
Recommends:     %{name}-lang
Conflicts:      gnome-utils < 3.3.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
The Dictionary application enables you to search words and terms on a
dictionary source.

%package -n libgdict-1_0-10
Summary:        Library to look up words in dictionary sources
License:        LGPL-2.1+
Group:          System/Libraries
Requires:       libgdict-data >= %{version}
# The library has translated strings
Recommends:     %{name}-lang

%description -n libgdict-1_0-10
The Gdict library is an engine to look up words in dictionary sources.

%package -n libgdict-data
Summary:        Library to look up words in dictionary sources
License:        GPL-2.0+
Group:          System/Libraries
# Obsoleting a library is not entirely correct, but libgdict is only used
# by gnome-dictionary. A further split of this package will happen in the future.
Obsoletes:      libgdict-1_0-6
Obsoletes:      libgdict-1_0-8

%description -n libgdict-data
The Gdict library is an engine to look up words in dictionary sources.

%package -n libgdict-devel
Summary:        Library to look up words in dictionary sources -- Development Files
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Requires:       libgdict-1_0-10 = %{version}
Provides:       gnome-utils-doc = %{version}
Obsoletes:      gnome-utils-doc < %{version}
# gnome-utils-devel name changed during development of 11.4. Post 12.1, this package got split off gnome-utils.
Provides:       gnome-utils-devel = %{version}
Obsoletes:      gnome-utils-devel < %{version}

%description -n libgdict-devel
The Gdict library is an engine to look up words in dictionary sources.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure --enable-ipv6
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file org.gnome.Dictionary
%fdupes %{buildroot}%{_datadir}/help
%find_lang %{name} %{?no_lang_C}

%post
%glib2_gsettings_schema_post
%desktop_database_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun

%post -n libgdict-1_0-10 -p /sbin/ldconfig

%postun -n libgdict-1_0-10 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.docs NEWS README
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.Dictionary.appdata.xml
%{_datadir}/applications/org.gnome.Dictionary.desktop
%{_datadir}/dbus-1/services/org.gnome.Dictionary.service
%{_datadir}/glib-2.0/schemas/org.gnome.dictionary.gschema.xml
%{_mandir}/man1/%{name}.1%{?ext_man}

%files lang -f %{name}.lang

%files -n libgdict-1_0-10
%defattr(-,root,root)
%doc COPYING.libs
%{_libdir}/libgdict-1.0.so.*

%files -n libgdict-data
%defattr(-,root,root)
%{_datadir}/gdict-1.0/

%files -n libgdict-devel
%defattr(-,root,root)
%{_includedir}/gdict-1.0/
%{_libdir}/libgdict-1.0.so
%{_libdir}/pkgconfig/gdict-1.0.pc
%doc %{_datadir}/gtk-doc/html/gdict/

%changelog
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Tue Mar  1 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + Updated translations.
* Sun Feb 14 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Application: Add a missing tag to the AppData file.
  + Updated translations.
* Mon Jan 25 2016 dimstar@opensuse.org
- Update to version 3.19.0:
  + Update the AppData file to spec version 0.7+.
  + Drop deprecated API from DefBox.
  + Bump required Gtk+ version.
  + Updated translations.
* Tue Jan 19 2016 dimstar@opensuse.org
- Update to version 3.18.1:
  + Library:
  - Create new GdictDatabaseChooserButton widget.
  - Symbolic icons.
  + Application:
  - Fix spelling in "Creating XDG config directory" message.
  - Use GTK's automagic menu loading.
  - Symbolic icons.
  - Replace action area with header bar.
  - Replace deprecated GtkTable with GtkGrid.
  + Updated translations.
- Rename libgdict-1_0-9 subpackage to libgdict-1_0-10, following
  upstreams soname bump.
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Tue Aug 18 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Library:
  - Split lookup-start and lookup-end signals.
  - Improve GdictDatabaseChooser widget.
  - Add library initialize function.
  + Updated translations.
- Rename libgdict-1_0-8 subpackage to libgdict-1_0-9, following
  upstreams soname bump.
- Add libgdict-1_0-8 Obsoletes. We already obsolete libgdict-1_0-6.
* Mon Jul 20 2015 dimstar@opensuse.org
- Update to version 3.17.4:
  + Updated translations.
* Fri Jun 26 2015 zaitor@opensuse.org
- Update to version 3.17.3:
  + Remove Select All menu entry.
  + Remove Edit submenu.
  + Remove Close menu entry.
  + Make entries under File top-level menu entries.
  + Remove obsolete gdict_window_defbox_selection_changed.
  + Updated translations.
* Mon Jun 22 2015 dimstar@opensuse.org
- Own %%{_datadir}/appdata for openSUSE:42.
* Tue May 26 2015 zaitor@opensuse.org
- Update to version 3.17.2:
  + Fix bgo#749131: Do not translate stack pages titles.
  + Remove Copy menu entry.
  + Updated translations.
* Tue May 12 2015 zaitor@opensuse.org
- Update to version 3.17.1:
  + Pass the application pointer to the window constructor.
  + Drop homegrown app singleton.
  + Use widget templates to build GdictPrefDialog.
  + Rename the GdictPrefDialog UI definition.
  + Rename the menus UI definition file.
  + Use widget templates for GdictSourceDialog.
  + Updated translations.
* Tue May 12 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Application:
  - Remove compilation warnings.
  - Improve menu items sensitivity.
  + Library: Add GdictDefbox::selection-changed signal.
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Documentation: Fix paste keyboard shortcut.
  + Updated translations.
* Mon Mar 16 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Implement GApplication::activate signal.
  + Updated translations.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Application:
  - Rename the AppData file to match the desktop name.
  - Drop slash for the 'Find' action.
  + Build system fixes.
  + Bugs fixed: bgo#745022.
  + Updated translations.
- Rename libgdict-1_0-6 subpackage to libgdict-1_0-8, following
  upstreams soname bump.
- Split out a new libgdict-data package, required by
  libgdata-1_0-8, in order to not have conflicts in the future.
- Obsolete libgdict-1_0-6 from the new -data package. Not exactly
  correct, but aids on upgrades. gnome-dictionary is the only
  consumer of this library.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Application:
  - Convert to new-style commandline option handling.
  - Make DBus-activatable.
  - bgo#528956: duplicated dictionary sources.
  + Library:
  - Fix emission of lookup-start.
  - Add GObject introspection support.
  + Updated translations.
* Mon Feb 16 2015 sbrabec@suse.cz
- Added support for translation-update-upstream.
* Wed Nov 12 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + Application: Use g_timeout_add_seconds() for multi-second
    timeouts.
  + Updated translations.
* Sun Oct 12 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + bgo#737626: expand sidebar.
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated translations.
* Thu Sep 18 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Code fixes.
  + User documentation fixes.
  + Updated translations.
* Wed Oct  9 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Sidebar: Do not select unrealized menu items.
  + Fix bugzilla product in .desktop file.
  + Fix Ctrl+A and Ctrl+C in the search field.
  + Build system fixes.
  + Bugs fixed: bgo#706556.
  + Updated translations.
* Wed Aug 21 2013 dimstar@opensuse.org
- Update to version 3.9.0:
  + Updated translations.
* Sun Jul 21 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Re-written help in Mallard.
  + Updated translations.
- No longer pass --disable-scrollkeeper to configure: after the
  rewrite of the help in Mallard it is no longer used/known.
- Add fdupes BuildRequires and call fdupes in install section to
  link equal files, saving some space.
* Tue Sep 25 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + Updated translations.
- Replace pkgconfig(gnome-doc-utils) BuildRequires with yelp-tools:
  even though not specified in NEWS, this release switched to the
  new documentation infrastructure.
* Thu Jun  7 2012 dimstar@opensuse.org
- Update to version 3.5.2:
  + Drop usage of deprecated methods
  + Use the new GMenu API
  + Updated translations.
* Mon Mar 26 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + Use XDG configuration directories to store the dictionary data.
  + Updated translations.
* Tue Nov  1 2011 dimstar@opensuse.org
- Initial package, version 3.3.2:
  + First release after the split from gnome-utils.
